Restore a Story Version
https://mapi.storyblok.com/v1/spaces/:space_id/stories/:story_id/restore_withThis endpoint lets you restore a story to a specific version.
Path parameters
Section titled “Path parameters”:space_idrequired numberThe space ID
:story_idrequired numberThe numeric ID of the story
Query parameters
Section titled “Query parameters”versions_v2required booleanWhen set to
true, the version passed is treated as a new story version, while setting it tofalsetreats it as a legacy version. (Read the note on the get story versions endpoint to learn how to differentiate between new and legacy versions.)versionrequired stringThe ID of the story version
Examples
Section titled “Examples”curl "https://mapi.storyblok.com/v1/spaces/288868932106293/stories/623949938/restore_with\?version=55648825\&versions_v2=true" \ -H "Authorization: YOUR_PERSONAL_ACCESS_TOKEN"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",});
try { const response = await storyblok.get('spaces/288868932106293/stories/623949938/restore_with', { "version": "55648825", "versions_v2": "true" }) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\ManagementClient('YOUR_PERSONAL_ACCESS_TOKEN');
$client->get('spaces/288868932106293/stories/623949938/restore_with', [ "version" => "55648825", "versions_v2" => "true"])->getBody();HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/288868932106293/stories/623949938/restore_with?version=55648825&versions_v2=true") .header("Authorization", "YOUR_PERSONAL_ACCESS_TOKEN") .asString();var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/stories/623949938/restore_with?version=55648825&versions_v2=true");var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "YOUR_PERSONAL_ACCESS_TOKEN");IRestResponse response = client.Execute(request);import requests
url = "https://mapi.storyblok.com/v1/spaces/288868932106293/stories/623949938/restore_with"
querystring = {"version":"55648825","versions_v2":"true"}
payload = ""headers = { 'Authorization': "YOUR_PERSONAL_ACCESS_TOKEN"}
response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(oauth_token: 'YOUR_PERSONAL_ACCESS_TOKEN')
client.get('spaces/288868932106293/stories/623949938/restore_with', {:params => { "version" => "55648825", "versions_v2" => "true"}})let storyblok = URLSession(storyblok: .mapi(accessToken: .personal("YOUR_PERSONAL_ACCESS_TOKEN")))var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/stories/623949938/restore_with")request.url!.append(queryItems: [ URLQueryItem(name: "version", value: "55648825"), URLQueryItem(name: "versions_v2", value: "true")])let (data, _) = try await storyblok.data(for: request)print(try JSONSerialization.jsonObject(with: data))val client = HttpClient { install(Storyblok(MAPI)) { accessToken = Personal("YOUR_PERSONAL_ACCESS_TOKEN") }}
val response = client.get("spaces/288868932106293/stories/623949938/restore_with") { url { parameters.append("version", "55648825") parameters.append("versions_v2", "true") }}
println(response.body<JsonElement>())Was this page helpful?
This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window).Terms of Service (opens in a new window) apply.
Get in touch with the Storyblok community